<?php

declare(strict_types=1);

namespace App\Domain\Contact;

use App\Framework\Database\EntityManager;

final readonly class ContactRepository
{
    public function __construct(
        private EntityManager $entityManager
    ) {
    }

    public function save(ContactMessage $contact): void
    {
        $this->entityManager->save($contact);
    }
}
